Debian, instalacja nagłówków kernela


(Mskitek) #1

Witam!

Prosiłbym, aby ktoś umieścił linki, do prawidłowej wersji nagłówków kernela i powiedział mniej-więcej jak je zainstalować, bo ja sobie nie mogę dać rady.

Mój system to Debian i nie mogę na nim uruchomić internetu dlatego o to proszę.

Z góry THX ! :slight_smile:


(Kaka') #2

Często wystarcza skorzystanie z samego uname -r, jako części nazwy pakietu do zainstalowania, np.

# aptitude install linux-headers-`uname -r`

Jeżeli powyższe nie znajduje odpowiedniego pakietu, to pokaż mi wynik polecenia $ uname -r.


(Mskitek) #3

Nie odnaleziono pakietu 0 zainstalowanych :?

Wynik polecenia 2.6.18-6-686

Napisałbyś mi dokladnie jak mam to zrobić ? i dal linka ?

Naprawde bardzo z gory dziekuje bo jest mi to bardzo potrzebne.


(Kaka') #4

Ściągasz: http://ftp.pl.debian.org/debian/pool/ma ... 3_i386.deb

Instalujesz za pomocą dpkg:

# dpkg -i nazwa_pakietu

(roobal) #5

Możesz również spróbować tego co opisałem w tym wątku viewtopic.php?f=14&t=282449&p=1886427#p1886427

Pozdrawiam!


(Mskitek) #6

Czy jakoś tak tam jest napisane i paczka sie nie instaluje


(Kaka') #7

skitles01 , najlepszym rozwiązaniem, omijającym zabawę z zależnościami, będzie dodanie repozytorium dla Etch'a (po wersji jądra, wnioskuję, że właśnie taką wersję Debiana posiadasz) i zainstalowanie paczki za pomocą menadżera pakietów.

Paczka, do której wyżej podałem Ci link, jest właśnie z repo Etch'a.

Główne repo dla aktualnego stable, wygląda mniej więcej tak:

deb ftp://ftp.pl.debian.org/debian/ stable main non-free contrib

deb-src ftp://ftp.pl.debian.org/debian/ stable main non-free contrib

(Mstrex) #8

Dodaj wpisy do sources.list które proponuje weżej kolega, zrób update potem daj fixinstall i sam sobie dociągnie zależności.


(Mskitek) #9

"dociągnąłbym" gdybym miał dostęp z tego komputera do neta :?

Powiedz jakie dokładnie mam sciagnac paczki to sciagne je z innego kompa przeniose na pendrive i bedzie smigac


(Mstrex) #10

Podstawowe zależności są takie http://packages.debian.org/etch/linux-headers-2.6.18-6-686 tylko może być potem problem jeśli i one mają jakieś inne.


(Mskitek) #11

Mam je wlasnie ale pisze ze linux-headers-2.6.18-6-686 jest zalezne od linux-headers-2.6.18-6 i dalej sie nie instaluje :roll:

Czyli mam zainstalowac linux-headers-2.6.18-6 ???


(Mstrex) #12

Tak ją też.

dpkg -i gcc-4.1 linux-headers-2.6.18-6 linux-kbuild-2.6.18 linux-headers-2.6.18-6-686

(Mskitek) #13

Słuchajcie !!

Temacik mozna zamknac :smiley: